net.i2p.router.transport.ntcp

## Enum EstablishBase.State

- java.lang.Object
- - java.lang.Enum<EstablishBase.State>
  - - net.i2p.router.transport.ntcp.EstablishBase.State

- All Implemented Interfaces:
    Serializable, Comparable<EstablishBase.State>
  Enclosing class:
    EstablishBase

      protected static enum EstablishBase.State
      extends Enum<EstablishBase.State>

  States for NTCP connection establishment process. Tracks the progression through various phases of the handshake.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CORRUPT`
    `IB_INIT`
    `IB_NTCP2_GOT_PADDING` Got msg 1 incl.
    `IB_NTCP2_GOT_RI` Got msg 3 Next state VERIFIED
    `IB_NTCP2_GOT_X` Got Noise part of msg 1 Next state IB_NTCP2_GOT_PADDING or IB_NTCP2_READ_RANDOM on fail
    `IB_NTCP2_INIT` Next state IB_NTCP2_GOT_X
    `IB_NTCP2_READ_RANDOM` Got msg 1 and failed AEAD Next state CORRUPT
    `IB_NTCP2_SENT_Y` Sent msg 2 and padding Next state IB_NTCP2_GOT_RI
    `OB_INIT`
    `VERIFIED` OB: got and verified 4; IB: got and verified 3 and sent 4

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EstablishBase.State` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EstablishBase.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CORRUPT

          public static final EstablishBase.State CORRUPT

    - #### IB_INIT

          public static final EstablishBase.State IB_INIT

    - #### IB_NTCP2_GOT_PADDING

          public static final EstablishBase.State IB_NTCP2_GOT_PADDING

      Got msg 1 incl. padding Next state IB_NTCP2_SENT_Y

    - #### IB_NTCP2_GOT_RI

          public static final EstablishBase.State IB_NTCP2_GOT_RI

      Got msg 3 Next state VERIFIED

    - #### IB_NTCP2_GOT_X

          public static final EstablishBase.State IB_NTCP2_GOT_X

      Got Noise part of msg 1 Next state IB_NTCP2_GOT_PADDING or IB_NTCP2_READ_RANDOM on fail

    - #### IB_NTCP2_INIT

          public static final EstablishBase.State IB_NTCP2_INIT

      Next state IB_NTCP2_GOT_X

    - #### IB_NTCP2_READ_RANDOM

          public static final EstablishBase.State IB_NTCP2_READ_RANDOM

      Got msg 1 and failed AEAD Next state CORRUPT

    - #### IB_NTCP2_SENT_Y

          public static final EstablishBase.State IB_NTCP2_SENT_Y

      Sent msg 2 and padding Next state IB_NTCP2_GOT_RI

    - #### OB_INIT

          public static final EstablishBase.State OB_INIT

    - #### VERIFIED

          public static final EstablishBase.State VERIFIED

      OB: got and verified 4; IB: got and verified 3 and sent 4

  - ### Method Detail

    - #### valueOf

          public static EstablishBase.State valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static EstablishBase.State[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EstablishBase.State c : EstablishBase.State.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared